package net.osgiliath.ws.api;

import java.util.Collection;
import java.util.List;

import javax.ws.rs.GET;
import javax.ws.rs.DELETE;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.Consumes;
import net.osgiliath.entities.ValuesTest;
import net.osgiliath.dao.ValuesTestDao;

@Path("/valuesTest")
public interface ValuesTestWsInterface extends ValuesTestDao {
	@GET
	@Path("/all")
	@Produces("application/xml")
	public List<ValuesTest> getAll();

	@GET
	@Path("/{id}")
	@Produces("application/xml")
	public ValuesTest findOne(@PathParam("id") Long arg0);

	@DELETE
	@Path("/{id}")
	public void remove(@PathParam("id") Long arg0);

	@PUT
	@Consumes("application/xml")
	@Produces("application/xml")
	public ValuesTest save(ValuesTest arg0);

}
