/**
 * 
 */
package net.osgiliath;

import java.util.Iterator;
import java.util.Set;

import javax.annotation.Resource;
import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.RequestScoped;
import javax.faces.validator.ValidatorException;

import net.osgiliath.dao.ValuesTestDao;
import net.osgiliath.entities.ValuesTest;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;
import org.springframework.stereotype.Service;
import javax.inject.Inject;
import javax.inject.Named;
import javax.validation.ConstraintViolation;
import javax.validation.Validator;
import javax.validation.ValidatorFactory;
/**
 * @author CMORDANT
 *
 */
@Component
@Scope("request")
public class ValuesTestBean {
	@Inject
	ValuesTestDao dao;
	@Inject
	ValidatorFactory validatorFactory;
	ValuesTest val = new ValuesTest();
	public String toto;
	public String getToto() {
		return toto;
	}
	public void setToto(String toto) {
		this.toto = toto;
	}
	public ValuesTest getVal() {
		
		return val;
	}
	public void setVal(ValuesTest val) {
		
		this.val = val;
	}
	public String go() throws ValidatorException {
		 javax.validation.Validator v = validatorFactory.getValidator();
		 Set<ConstraintViolation<ValuesTest>> constraints = v.validate(val);
		 Iterator<ConstraintViolation<ValuesTest>> itC = constraints.iterator();
		 String ex = "";
		 while (itC.hasNext()) {
			ex+=itC.next().getMessage() +" ";
		}
		 if (!ex.equals("")) {
		 FacesMessage msg = 
					new FacesMessage("validation failed.", 
							ex);
				msg.setSeverity(FacesMessage.SEVERITY_ERROR);
				throw new ValidatorException(msg);}
		dao.save(val);
		//normalement, la transaction est finie, vue que la methode go n'est pas annote @Transactionnal
		val = dao.getAll().get(0);
		return "go";
	}

}
